Name:           clanbomber
Version:        1.05
Release:        14%{?dist}
Summary:        Lay bombs and Blast the other players of the field game using ClanLib
Group:          Amusements/Games
License:        GPLv2+
URL:            http://clanbomber.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        clanbomber.desktop
Source2:        clanbomber.png
Patch0:         clanbomber-1.05-debian.patch
Patch1:         clanbomber-1.05-namespace.patch
Patch2:         clanbomber-1.05-make.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ClanLib06-devel zlib-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
ClanBomber is a free multiplayer game, using ClanLib, where the "purpose"
is to Blast the other players of the gamefield by laying bombs close to them.
While at the same time you must avoid being blown up yourself. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).


%prep
%setup -q
%patch0 -p1 -z .deb
%patch1 -p1 -z .namespace
%patch2 -p1


%build
%configure --disable-dependency-tracking
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog IDEAS QUOTES README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Hans de Goede <hdegoede@redhat.com> 1.05-13
- Fix FTBFS (#631342)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Hans de Goede <hdegoede@redhat.com> 1.05-10
- Improve description

* Fri Jan 30 2009 Hans de Goede <hdegoede@redhat.com> 1.05-9
- Update description for new trademark guidelines

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.05-8
- Autorebuild for GCC 4.3

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-7
- Revert last change, clanbomber does not use OpenGL (oops)

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-6
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-5
- Update License tag for new Licensing Guidelines compliance

* Sat Mar 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-4
- Fixup .desktop file categories for games-menus usage

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-3
- FE6 Rebuild

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-2
- remove %%{?_smp_mflags} from the make command as this breaks the build
  sometimes (race condition).

* Fri Jul 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-1
- initial Fedora Extras package
